Subject: bug#52908: closed (Re: bug#52908: 'tests/guix-system.sh' fails on aarch64-linux)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Jan 2022 02:19:02 +0000

Your bug report

#52908: 'tests/guix-system.sh' fails on aarch64-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52908: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52908
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52908: 'tests/guix-system.sh' fails on aarch64-linux
From: Leo Famulari <[email-masked]>
To: Aiko Kyle <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, Chris Marusich <[email-masked]>, [email-masked]
Date: Fri, 7 Jan 2022 21:18:39 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jan 07, 2022 at 06:26:13PM -0700, Aiko Kyle wrote:
> I can confirm that this test passes here.

Awesome, I am closing this bug. Thanks everybody, for collaborating on a
quick fix!

> However guix system
> reconfigure is still failing for me on aarch64 due to the test
> 'file-needed/recursive' in tests/gremlin.scm failing. There was an
> email on guix-devel starting to look into this issue on aarch64 but I
> haven't had the time to follow up.

I think there is a fix being discussed here:

https://issues.guix.gnu.org/52940

Subject: 'tests/guix-system.sh' fails on aarch64-linux
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 30 Dec 2021 18:52:57 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The Guix test 'tests/guix-system.sh' fails on aarch64-linux, like this:

------
+ for example in gnu/system/examples/*.tmpl    
+ grep hurd              
+ echo gnu/system/examples/desktop.tmpl  
+ target=                          
+ guix system -n disk-image gnu/system/examples/desktop.tmpl                 
accepted connection from pid 23537, user nixbld                                                 
guix system: warning: 'disk-image' is deprecated: use 'image' instead
spurious SIGPOLL               
spurious SIGPOLL                         
spurious SIGPOLL             
guix system: error: service 'xorg-server' provided more than once   
+ rm -f t-guix-system-22708 t-guix-system-error-22708 /tmp/guix-build-guix-1.3.0-17.2a49ddb.drv-0/t-guix-system-22708/config.scm /tmp/guix-build-guix-1.3.0-17.2a49ddb.drv-0/t-guix-system-22708
/my-torrc                    
+ rmdir /tmp/guix-build-guix-1.3.0-17.2a49ddb.drv-0/t-guix-system-22708
FAIL tests/guix-system.sh (exit status: 1)
------

This manifests while building the 'guix' package itself. Specifically
this derivation:

/gnu/store/i8rjwl9fmm4b6icvry8l2wlz2dwq09ic-guix-1.3.0-17.2a49ddb.drv

... which is based on commit 9f6532c77d35603f5e5d190616e0c6b1740e82bd:

https://ci.guix.gnu.org/build/251537/details

It doesn't happen on x86_64-linux:

https://ci.guix.gnu.org/build/251564/details